%define name    php-tidy
%define version 5.0.4

%define modname tidy
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 59_%{modname}.ini

Summary:	Tidy HTML Repairing and Parsing for PHP
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
Source0:	%{modname}.ini.bz2
BuildRequires:	php-devel >= 5.0.4
BuildRequires:	tidy-devel
Provides:	php5-tidy
Obsoletes:	php5-tidy
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tidy is a binding for the Tidy HTML clean and repair utility which
allows you to not only clean and otherwise manipluate HTML
documents, but also traverse the document tree using the Zend
Engine 2 OO semantics.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

bzcat %{SOURCE0} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples tests CREDITS README TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Tue Jul 12 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.1-2mdk
- remove cruft from the ini file

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.1-1mdk
- rename the package
- use the bundled tidy

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.1-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.1-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.1-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.1-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.1-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.1-2mdk
- remove redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.1-1mdk
- 1.1

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0-1mdk
- built for php 4.3.6

* Mon Dec 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- 1.0

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.7-1mdk
- initial cooker contrib
